<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Affectation bool&eacute;en</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br/>");
 $b1=TRUE;  // ou true
 echo'$b1 : '.WEB_EOL;
 var_dump($b1);
 echo WEB_EOL;
 $b2=false; // ou FALSE
 echo'$b2 : '.WEB_EOL;
 var_dump($b2);
 echo WEB_EOL;
 $b3=1;
 $b3=boolval($b3);
 echo'$b3 : '.WEB_EOL;
 var_dump($b3);
 echo WEB_EOL;
 $b4=0;
 $b4=boolval($b4);
 echo'$b4 : '.WEB_EOL;
 var_dump($b4);
 echo WEB_EOL;
 ?>
 </body>
</html>
